Bug 1232851 - Unified CLI says the deployment failed but it actually worked
Summary: Unified CLI says the deployment failed but it actually worked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Dougal Matthews
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-17 16:01 UTC by James Slagle
Modified: 2015-08-27 01:31 UTC (History)
7 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-8.el7ost
Doc Type: Bug Fix
Doc Text:
The Unified CLI displays a timed out error, expecting the OpenStack overcloud deployment to have been incomplete. As a result, the user incorrectly gets a message that the resulting deployment failed. With this update, the timeout value is increased to an hour. As a result, deployments should now finish within the timeout.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:54:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 236911 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description James Slagle 2015-06-17 16:01:45 UTC
Using the unified CLI like so:
openstack overcloud deploy --control-scale 3 --plan-uuid 6d0fc8d6-194f-41ca-a8df-048c398331df

It says it failed:

The following templates will be written:
/tmp/tmp4uirfk/puppet/manifests/overcloud_volume.pp
/tmp/tmp4uirfk/hieradata/object.yaml
/tmp/tmp4uirfk/puppet/hieradata/common.yaml
/tmp/tmp4uirfk/provider-Swift-Storage-1.yaml
/tmp/tmp4uirfk/network/ports/net_ip_map.yaml
/tmp/tmp4uirfk/provider-Cinder-Storage-1.yaml
/tmp/tmp4uirfk/provider-Compute-1.yaml
/tmp/tmp4uirfk/network/noop.yaml
/tmp/tmp4uirfk/puppet/bootstrap-config.yaml
/tmp/tmp4uirfk/net-config-bridge.yaml
/tmp/tmp4uirfk/provider-Ceph-Storage-1.yaml
/tmp/tmp4uirfk/puppet/controller-post-puppet.yaml
/tmp/tmp4uirfk/puppet/cinder-storage-puppet.yaml
/tmp/tmp4uirfk/puppet/manifests/overcloud_cephstorage.pp
/tmp/tmp4uirfk/puppet/hieradata/object.yaml
/tmp/tmp4uirfk/puppet/controller-puppet.yaml
/tmp/tmp4uirfk/puppet/manifests/overcloud_compute.pp
/tmp/tmp4uirfk/puppet/cinder-storage-post.yaml
/tmp/tmp4uirfk/puppet/swift-storage-post.yaml
/tmp/tmp4uirfk/provider-Controller-1.yaml
/tmp/tmp4uirfk/network/networks.yaml
/tmp/tmp4uirfk/puppet/manifests/overcloud_object.pp
/tmp/tmp4uirfk/hieradata/controller.yaml
/tmp/tmp4uirfk/network/ports/ctlplane_vip.yaml
/tmp/tmp4uirfk/hieradata/volume.yaml
/tmp/tmp4uirfk/puppet/compute-post-puppet.yaml
/tmp/tmp4uirfk/extraconfig/tasks/yum_update.yaml
/tmp/tmp4uirfk/puppet/swift-storage-puppet.yaml
/tmp/tmp4uirfk/extraconfig/tasks/yum_update.sh
/tmp/tmp4uirfk/puppet/swift-devices-and-proxy-config.yaml
/tmp/tmp4uirfk/puppet/controller-config-pacemaker.yaml
/tmp/tmp4uirfk/puppet/compute-puppet.yaml
/tmp/tmp4uirfk/puppet/hieradata/volume.yaml
/tmp/tmp4uirfk/puppet/ceph-storage-post-puppet.yaml
/tmp/tmp4uirfk/extraconfig/controller/noop.yaml
/tmp/tmp4uirfk/network/ports/noop.yaml
/tmp/tmp4uirfk/network/ports/net_ip_list_map.yaml
/tmp/tmp4uirfk/puppet/hieradata/ceph.yaml
/tmp/tmp4uirfk/puppet/vip-config.yaml
/tmp/tmp4uirfk/puppet/hieradata/controller.yaml
/tmp/tmp4uirfk/plan.yaml
/tmp/tmp4uirfk/environment.yaml
/tmp/tmp4uirfk/puppet/ceph-storage-puppet.yaml
/tmp/tmp4uirfk/hieradata/compute.yaml
/tmp/tmp4uirfk/puppet/hieradata/compute.yaml
/tmp/tmp4uirfk/hieradata/ceph.yaml
/tmp/tmp4uirfk/puppet/manifests/overcloud_controller_pacemaker.pp
/tmp/tmp4uirfk/hieradata/common.yaml
/tmp/tmp4uirfk/puppet/manifests/ringbuilder.pp
/tmp/tmp4uirfk/extraconfig/post_deploy/default.yaml
/tmp/tmp4uirfk/net-config-noop.yaml
/tmp/tmp4uirfk/puppet/ceph-cluster-config.yaml
/tmp/tmp4uirfk/firstboot/userdata_default.yaml
/tmp/tmp4uirfk/puppet/all-nodes-config.yaml
ERROR: openstack Heat Stack create failed.

But it actually worked:
[stack@instack ~]$ heat stack-list
+--------------------------------------+------------+-----------------+----------------------+
| id                                   | stack_name | stack_status    | creation_time        |
+--------------------------------------+------------+-----------------+----------------------+
| d3f713ca-f5ec-476c-a492-68b9b14faf53 | overcloud  | CREATE_COMPLETE | 2015-06-17T14:29:36Z |
+--------------------------------------+------------+-----------------+----------------------+

It was an HA deployment so I may have hit the timeout. We should consider increasing the default timeout values.

Comment 3 James Slagle 2015-06-17 16:02:07 UTC
[stack@instack ~]$ rpm -q python-rdomanager-oscplugin
python-rdomanager-oscplugin-0.0.8-1.el7ost.noarch

Comment 4 Dougal Matthews 2015-06-18 14:51:13 UTC
Increase to 60 mins. https://review.gerrithub.io/#/c/236911/

Comment 8 errata-xmlrpc 2015-08-05 13:54:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.